emacs-diffs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Emacs-diffs] scratch/merge-cedet-tests d58e8d8 063/316: Reverse the exi


From: Edward John Steere
Subject: [Emacs-diffs] scratch/merge-cedet-tests d58e8d8 063/316: Reverse the exist status of Emacs.
Date: Sat, 28 Jan 2017 09:09:48 +0000 (UTC)

branch: scratch/merge-cedet-tests
commit d58e8d8aa47fe57625c6e2e883d3cf8503dea318
Author: zappo <address@hidden>
Commit: Edward John Steere <address@hidden>

    Reverse the exist status of Emacs.
---
 test/manual/cedet/cit-test.sh |    9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

diff --git a/test/manual/cedet/cit-test.sh b/test/manual/cedet/cit-test.sh
index 9bacb3b..89d1568 100755
--- a/test/manual/cedet/cit-test.sh
+++ b/test/manual/cedet/cit-test.sh
@@ -8,4 +8,11 @@ if [ -z $1 ]; then
 fi
 
 rm -r /tmp/CEDET_INTEG*
-$EMACS -q -l ../common/cedet.el -l cit-load.el -f toggle-debug-on-error  -f 
toggle-debug-on-quit -f cedet-integ-test-${STYLE}
+
+if $EMACS -q -l ../common/cedet.el -l cit-load.el -f toggle-debug-on-error  -f 
toggle-debug-on-quit -f cedet-integ-test-${STYLE}; then
+    # Reverse the meaning of a 0 exit status, as the user had to quit Emacs
+    # but on success, the program kills emacs with 1 (to be different.)
+    exit 1;
+else
+    exit 0;
+fi
\ No newline at end of file



reply via email to

[Prev in Thread] Current Thread [Next in Thread]